Bug 1065109 - [abrt] gnome-shell: x_io_error(): gnome-shell-wayland killed by SIGTRAP
Summary: [abrt] gnome-shell: x_io_error(): gnome-shell-wayland killed by SIGTRAP
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d8f537bf9dcb1b3f1f5c19a68ba...
Keywords:
: 1218397 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2014-02-13 23:56 UTC by Adam Williamson
Modified: 2016-07-19 11:00 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 11:00:10 UTC


Attachments (Terms of Use)
File: backtrace (46.38 KB, text/plain)
2014-02-13 23:56 UTC, Adam Williamson
no flags Details
File: cgroup (172 bytes, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: core_backtrace (23.28 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: dso_list (24.53 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: environ (2.64 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: maps (104.97 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: open_fds (1.66 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details
File: var_log_messages (2.07 KB, text/plain)
2014-02-13 23:57 UTC, Adam Williamson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1278159 None None None Never

Internal Trackers: 1278159

Description Adam Williamson 2014-02-13 23:56:54 UTC
Description of problem:
Tried to launch a Wayland session.

Version-Release number of selected component:
gnome-shell-3.11.5-1.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        gnome-shell-wayland --wayland
crash_function: x_io_error
executable:     /usr/bin/gnome-shell-wayland
kernel:         3.14.0-0.rc2.git3.2.fc21.x86_64
runlevel:       3 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 x_io_error at /usr/lib64/libmutter-wayland.so.0
 #3 _XIOError at /usr/lib64/libX11.so.6
 #4 _XEventsQueued at /usr/lib64/libX11.so.6
 #5 XPending at /usr/lib64/libX11.so.6
 #6 gdk_event_source_prepare at /usr/lib64/libgdk-3.so.0
 #7 g_main_context_prepare at /usr/lib64/libglib-2.0.so.0
 #8 g_main_context_iterate.isra at /usr/lib64/libglib-2.0.so.0
 #10 meta_run at /usr/lib64/libmutter-wayland.so.0

Comment 1 Adam Williamson 2014-02-13 23:56:59 UTC
Created attachment 863023 [details]
File: backtrace

Comment 2 Adam Williamson 2014-02-13 23:57:01 UTC
Created attachment 863024 [details]
File: cgroup

Comment 3 Adam Williamson 2014-02-13 23:57:02 UTC
Created attachment 863025 [details]
File: core_backtrace

Comment 4 Adam Williamson 2014-02-13 23:57:04 UTC
Created attachment 863026 [details]
File: dso_list

Comment 5 Adam Williamson 2014-02-13 23:57:07 UTC
Created attachment 863027 [details]
File: environ

Comment 6 Adam Williamson 2014-02-13 23:57:08 UTC
Created attachment 863028 [details]
File: limits

Comment 7 Adam Williamson 2014-02-13 23:57:10 UTC
Created attachment 863029 [details]
File: maps

Comment 8 Adam Williamson 2014-02-13 23:57:12 UTC
Created attachment 863030 [details]
File: open_fds

Comment 9 Adam Williamson 2014-02-13 23:57:14 UTC
Created attachment 863031 [details]
File: proc_pid_status

Comment 10 Adam Williamson 2014-02-13 23:57:15 UTC
Created attachment 863032 [details]
File: var_log_messages

Comment 11 Ilya Gradina 2015-02-27 13:39:00 UTC
Another user experienced a similar problem:

1. run fedora
2. run gdm
3. authentication fingerprint

reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm --wayland --display-server
crash_function: x_io_error
executable:     /usr/bin/gnome-shell
global_pid:     1477
kernel:         4.0.0-0.rc1.git1.1.fc23.x86_64
package:        gnome-shell-3.15.90-1.fc23
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            42

Comment 12 Jaroslav Reznik 2015-03-03 15:28:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 leigh scott 2015-08-06 13:42:09 UTC
running gdm to login to cinnamon.
These wayland changes are complete shit!

Comment 14 Christian Stadelmann 2015-12-21 20:46:07 UTC
*** Bug 1218397 has been marked as a duplicate of this bug. ***

Comment 15 Christian Stadelmann 2015-12-21 20:54:53 UTC
Still present on F23, see bug #1278159

Comment 16 Fedora End Of Life 2016-07-19 11:00:10 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.